<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Card extends Api_Controller{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('Card_model');
        $this->load->model('Price_model');
    }




    public function info()
    {
        $get_data = $this->Card_model->getCardInfo();
        unset($get_data['status']);
        $get_data['rules'] = $get_data['message'];
        unset($get_data['message']);
        //高级权益打折卡实效价格显示
        $return_field = 'id,duration,price';

        $get_data['price'] = $this->Price_model->getPriceInfo($return_field);
       
        $this->json(0, '成功', $get_data);
    }
}